IO::NewMonosIOHandler Class Reference

`#include <NewMonosIOHandler.h>`

Inheritance diagram for IO::NewMonosIOHandler:

## Public Member Functions

| NewMonosIOHandler ()
Public Member Functions inherited from IOHandler
virtual | ~IOHandler ()
void | readIdeal (Scanner &in, InputConsumer &consumer)
| Read an ideal and feed it to the consumer.
void | readIdeals (Scanner &in, InputConsumer &consumer)
| Read a number of ideals and feed them to the consumer.
void | readTerm (Scanner &in, const VarNames &names, vector< mpz_class > &term)
void | readPolynomial (Scanner &in, CoefBigTermConsumer &consumer)
void | readSatBinomIdeal (Scanner &in, SatBinomConsumer &consumer)
void | writeTerm (const vector< mpz_class > &term, const VarNames &names, FILE *out)
bool | hasMoreInput (Scanner &in) const
const char * | getName () const
const char * | getDescription () const
unique_ptr< BigTermConsumer > | createIdealWriter (FILE *out)
unique_ptr< BigTermConsumer > | createIdealListWriter (FILE *out)
unique_ptr< CoefBigTermConsumer > | createPolynomialWriter (FILE *out)
bool | supportsInput (const DataType &type) const
bool | supportsOutput (const DataType &type) const

## Static Public Member Functions

static const char * | staticGetName ()

## Private Member Functions

virtual BigTermConsumer * | doCreateIdealWriter (FILE *out)
virtual void | doWriteTerm (const vector< mpz_class > &term, const VarNames &names, FILE *out)
virtual void | doReadTerm (Scanner &in, InputConsumer &consumer)
void | doReadIdeal (Scanner &in, InputConsumer &consumer)
void | doReadIdeals (Scanner &in, InputConsumer &consumer)

## Additional Inherited Members

Protected Member Functions inherited from IO::IOHandlerImpl
| IOHandlerImpl (const char *formatName, const char *formatDescription)
void | registerInput (const DataType &type)
| Specify that input of the argument type is supported.
void | registerOutput (const DataType &type)
| Specify that output of the argument type is supported.

## Detailed Description

Definition at line 28 of file NewMonosIOHandler.h.

## Constructor & Destructor Documentation

## NewMonosIOHandler()

IO::NewMonosIOHandler::NewMonosIOHandler | ( |  | ) |

Definition at line 71 of file NewMonosIOHandler.cpp.

## Member Function Documentation

## doCreateIdealWriter()

BigTermConsumer * IO::NewMonosIOHandler::doCreateIdealWriter | ( | FILE * | out | ) |

private virtual

Implements IO::IOHandlerImpl.

Definition at line 82 of file NewMonosIOHandler.cpp.

## doReadIdeal()

void IO::NewMonosIOHandler::doReadIdeal | ( | Scanner & | in,
|  | InputConsumer & | consumer )

private virtual

Reimplemented from IO::IOHandlerImpl.

Definition at line 96 of file NewMonosIOHandler.cpp.

## doReadIdeals()

void IO::NewMonosIOHandler::doReadIdeals | ( | Scanner & | in,
|  | InputConsumer & | consumer )

private virtual

Reimplemented from IO::IOHandlerImpl.

Definition at line 101 of file NewMonosIOHandler.cpp.

## doReadTerm()

void IO::NewMonosIOHandler::doReadTerm | ( | Scanner & | in,
|  | InputConsumer & | consumer )

private virtual

Reimplemented from IO::IOHandlerImpl.

Definition at line 92 of file NewMonosIOHandler.cpp.

## doWriteTerm()

void IO::NewMonosIOHandler::doWriteTerm | ( | const vector< mpz_class > & | term,
|  | const VarNames & | names,
|  | FILE * | out )

private virtual

Implements IOHandler.

Definition at line 86 of file NewMonosIOHandler.cpp.

## staticGetName()

const char * IO::NewMonosIOHandler::staticGetName | ( |  | ) |

static

Definition at line 78 of file NewMonosIOHandler.cpp.

The documentation for this class was generated from the following files:

- src/NewMonosIOHandler.h
- src/NewMonosIOHandler.cpp